List KV namespaces
Lists the KV namespaces for the authenticated user’s organization. Results use page-based pagination (page[number]/page[size]).
GET
/
storage
/
kvs
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.storage.kvs.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.storage.kvs.list()
print(page.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
kvs, err := client.Storage.Kvs.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", kvs.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
KvNamespaceListResponseWrapper page = client.storage()kvs()list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.storage.kvs.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->storage->kvs->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx storage:kvs list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/storage/kvs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "storage_kv",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "my-cache",
"status": "provision_ok",
"created_at": "2026-06-18T14:48:17Z",
"updated_at": "2026-06-18T14:48:17Z"
}
],
"meta": {
"page_number": 1,
"page_size": 20,
"total_pages": 3,
"total_results": 52
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The page number to load.
Required range:
x >= 1The size of the page. Values above 250 are treated as 250.
Required range:
1 <= x <= 250Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.storage.kvs.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.storage.kvs.list()
print(page.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
kvs, err := client.Storage.Kvs.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", kvs.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
KvNamespaceListResponseWrapper page = client.storage()kvs()list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.storage.kvs.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->storage->kvs->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx storage:kvs list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/storage/kvs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "storage_kv",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "my-cache",
"status": "provision_ok",
"created_at": "2026-06-18T14:48:17Z",
"updated_at": "2026-06-18T14:48:17Z"
}
],
"meta": {
"page_number": 1,
"page_size": 20,
"total_pages": 3,
"total_results": 52
}
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}{
"errors": [
{
"code": "10005",
"detail": "The requested function does not exist or you don't have access to it",
"meta": {
"url": "https://docs.telnyx.com/api/errors/10005"
},
"source": {
"parameter": "id",
"pointer": "/id"
},
"title": "Function not found"
}
]
}